libpst.so.4: pst_item Struct Reference

Main Page | Alphabetical List | Data Structures | Directories | File List | Data Fields | Globals

# pst_item Struct Reference

This contains the common mapi elements, and pointers to structures for each major mapi item type. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_item:

[legend]

## Data Fields
pst_item_email * | email
| email mapi elements
pst_item_folder * | folder
| folder mapi elements
pst_item_contact * | contact
| contact mapi elements
pst_item_attach * | attach
| linked list of attachments
pst_item_message_store * | message_store
| message store mapi elements
pst_item_extra_field * | extra_fields
| linked list of extra headers and such
pst_item_journal * | journal
| journal mapi elements
pst_item_appointment * | appointment
| calendar mapi elements
int | type
| derived from mapi elements 0x001a PR_MESSAGE_CLASS or 0x3613 PR_CONTAINER_CLASS 1 PST_TYPE_NOTE 2 PST_TYPE_SCHEDULE 8 PST_TYPE_APPOINTMENT 9 PST_TYPE_CONTACT 10 PST_TYPE_JOURNAL 11 PST_TYPE_STICKYNOTE 12 PST_TYPE_TASK 13 PST_TYPE_OTHER 14 PST_TYPE_REPORT
char * | ascii_type
| mapi element 0x001a PR_MESSAGE_CLASS or 0x3613 PR_CONTAINER_CLASS
int32_t | flags
| mapi element 0x0e07 PR_MESSAGE_FLAGS 0x01 Read 0x02 Unmodified 0x04 Submit 0x08 Unsent 0x10 Has Attachments 0x20 From Me 0x40 Associated 0x80 Resend 0x100 RN Pending 0x200 NRN Pending
pst_string | file_as
| mapi element 0x3001 PR_DISPLAY_NAME
pst_string | comment
| mapi element 0x3004 PR_COMMENT
pst_string | body_charset
| derived from extra_fields["content-type"] if it contains a charset= subfield
pst_string | body
| mapi element 0x1000 PR_BODY
pst_string | subject
| mapi element 0x0037 PR_SUBJECT
int32_t | internet_cpid
| mapi element 0x3fde PR_INTERNET_CPID
int32_t | message_codepage
| mapi element 0x3ffd PR_MESSAGE_CODEPAGE
int32_t | message_size
| mapi element 0x0e08 PR_MESSAGE_SIZE
pst_string | outlook_version
| mapi element 0x8554 PR_OUTLOOK_VERSION
pst_binary | record_key
| mapi element 0x0ff9 PR_RECORD_KEY
pst_binary | predecessor_change
| mapi element 0x65e3 PR_PREDECESSOR_CHANGE_LIST
int | response_requested
| mapi element 0x0063 PR_RESPONSE_REQUESTED 1 true 0 false
FILETIME * | create_date
| mapi element 0x3007 PR_CREATION_TIME
FILETIME * | modify_date
| mapi element 0x3008 PR_LAST_MODIFICATION_TIME
int | private_member
| mapi element 0x002b PR_RECIPIENT_REASSIGNMENT_PROHIBITED 1 true 0 false

## Detailed Description

This contains the common mapi elements, and pointers to structures for each major mapi item type.

It represents a complete mapi object.

Definition at line 750 of file libpst.h.

## Field Documentation

pst_item_appointment* pst_item::appointment

| calendar mapi elements Definition at line 766 of file libpst.h.

char* pst_item::ascii_type

| mapi element 0x001a PR_MESSAGE_CLASS or 0x3613 PR_CONTAINER_CLASS Definition at line 779 of file libpst.h.

pst_item_attach* pst_item::attach

| linked list of attachments Definition at line 758 of file libpst.h.

pst_string pst_item::body

| mapi element 0x1000 PR_BODY Definition at line 799 of file libpst.h.

pst_string pst_item::body_charset

| derived from extra_fields["content-type"] if it contains a charset= subfield Definition at line 797 of file libpst.h.

pst_string pst_item::comment

| mapi element 0x3004 PR_COMMENT Definition at line 795 of file libpst.h.

pst_item_contact* pst_item::contact

| contact mapi elements Definition at line 756 of file libpst.h.

FILETIME* pst_item::create_date

| mapi element 0x3007 PR_CREATION_TIME Definition at line 819 of file libpst.h.

pst_item_email* pst_item::email

| email mapi elements Definition at line 752 of file libpst.h.

pst_item_extra_field* pst_item::extra_fields

| linked list of extra headers and such Definition at line 762 of file libpst.h.

pst_string pst_item::file_as

| mapi element 0x3001 PR_DISPLAY_NAME Definition at line 793 of file libpst.h.

int32_t pst_item::flags

| mapi element 0x0e07 PR_MESSAGE_FLAGS 0x01 Read 0x02 Unmodified 0x04 Submit 0x08 Unsent 0x10 Has Attachments 0x20 From Me 0x40 Associated 0x80 Resend 0x100 RN Pending 0x200 NRN Pending Definition at line 791 of file libpst.h.

pst_item_folder* pst_item::folder

| folder mapi elements Definition at line 754 of file libpst.h.

int32_t pst_item::internet_cpid

| mapi element 0x3fde PR_INTERNET_CPID Definition at line 803 of file libpst.h.

pst_item_journal* pst_item::journal

| journal mapi elements Definition at line 764 of file libpst.h.

int32_t pst_item::message_codepage

| mapi element 0x3ffd PR_MESSAGE_CODEPAGE Definition at line 805 of file libpst.h.

int32_t pst_item::message_size

| mapi element 0x0e08 PR_MESSAGE_SIZE Definition at line 807 of file libpst.h.

pst_item_message_store* pst_item::message_store

| message store mapi elements Definition at line 760 of file libpst.h.

FILETIME* pst_item::modify_date

| mapi element 0x3008 PR_LAST_MODIFICATION_TIME Definition at line 821 of file libpst.h.

pst_string pst_item::outlook_version

| mapi element 0x8554 PR_OUTLOOK_VERSION Definition at line 809 of file libpst.h.

pst_binary pst_item::predecessor_change

| mapi element 0x65e3 PR_PREDECESSOR_CHANGE_LIST Definition at line 813 of file libpst.h.

int pst_item::private_member

| mapi element 0x002b PR_RECIPIENT_REASSIGNMENT_PROHIBITED 1 true 0 false Definition at line 825 of file libpst.h.

pst_binary pst_item::record_key

| mapi element 0x0ff9 PR_RECORD_KEY Definition at line 811 of file libpst.h.

int pst_item::response_requested

| mapi element 0x0063 PR_RESPONSE_REQUESTED 1 true 0 false Definition at line 817 of file libpst.h.

pst_string pst_item::subject

| mapi element 0x0037 PR_SUBJECT Definition at line 801 of file libpst.h.

int pst_item::type

| derived from mapi elements 0x001a PR_MESSAGE_CLASS or 0x3613 PR_CONTAINER_CLASS 1 PST_TYPE_NOTE 2 PST_TYPE_SCHEDULE 8 PST_TYPE_APPOINTMENT 9 PST_TYPE_CONTACT 10 PST_TYPE_JOURNAL 11 PST_TYPE_STICKYNOTE 12 PST_TYPE_TASK 13 PST_TYPE_OTHER 14 PST_TYPE_REPORT Definition at line 777 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h